[![Build Status](https://jenkins.cessda.eu/buildStatus/icon?job=cessda.cdc.osmh-repository-handler.nesstar%2Fmaster)](https://jenkins.cessda.eu/job/cessda.cdc.osmh-repository-handler.nesstar/job/master/)
[![Bugs](https://sonarqube.cessda.eu/api/project_badges/measure?project=eu.cessda.pasc%3Apasc-osmh-handler-nesstar&metric=bugs)](https://sonarqube.cessda.eu/dashboard?id=eu.cessda.pasc%3Apasc-osmh-handler-nesstar)
[![Code Smells](https://sonarqube.cessda.eu/api/project_badges/measure?project=eu.cessda.pasc%3Apasc-osmh-handler-nesstar&metric=code_smells)](https://sonarqube.cessda.eu/dashboard?id=eu.cessda.pasc%3Apasc-osmh-handler-nesstar)
[![Coverage](https://sonarqube.cessda.eu/api/project_badges/measure?project=eu.cessda.pasc%3Apasc-osmh-handler-nesstar&metric=coverage)](https://sonarqube.cessda.eu/dashboard?id=eu.cessda.pasc%3Apasc-osmh-handler-nesstar)
[![Duplicated Lines (%)](https://sonarqube.cessda.eu/api/project_badges/measure?project=eu.cessda.pasc%3Apasc-osmh-handler-nesstar&metric=duplicated_lines_density)](https://sonarqube.cessda.eu/dashboard?id=eu.cessda.pasc%3Apasc-osmh-handler-nesstar)
[![Lines of Code](https://sonarqube.cessda.eu/api/project_badges/measure?project=eu.cessda.pasc%3Apasc-osmh-handler-nesstar&metric=ncloc)](https://sonarqube.cessda.eu/dashboard?id=eu.cessda.pasc%3Apasc-osmh-handler-nesstar)
[![Maintainability Rating](https://sonarqube.cessda.eu/api/project_badges/measure?project=eu.cessda.pasc%3Apasc-osmh-handler-nesstar&metric=sqale_rating)](https://sonarqube.cessda.eu/dashboard?id=eu.cessda.pasc%3Apasc-osmh-handler-nesstar)
[![Quality Gate Status](https://sonarqube.cessda.eu/api/project_badges/measure?project=eu.cessda.pasc%3Apasc-osmh-handler-nesstar&metric=alert_status)](https://sonarqube.cessda.eu/dashboard?id=eu.cessda.pasc%3Apasc-osmh-handler-nesstar)
[![Reliability Rating](https://sonarqube.cessda.eu/api/project_badges/measure?project=eu.cessda.pasc%3Apasc-osmh-handler-nesstar&metric=reliability_rating)](https://sonarqube.cessda.eu/dashboard?id=eu.cessda.pasc%3Apasc-osmh-handler-nesstar)
[![Security Rating](https://sonarqube.cessda.eu/api/project_badges/measure?project=eu.cessda.pasc%3Apasc-osmh-handler-nesstar&metric=security_rating)](https://sonarqube.cessda.eu/dashboard?id=eu.cessda.pasc%3Apasc-osmh-handler-nesstar)
[![Technical Debt](https://sonarqube.cessda.eu/api/project_badges/measure?project=eu.cessda.pasc%3Apasc-osmh-handler-nesstar&metric=sqale_index)](https://sonarqube.cessda.eu/dashboard?id=eu.cessda.pasc%3Apasc-osmh-handler-nesstar)
[![Vulnerabilities](https://sonarqube.cessda.eu/api/project_badges/measure?project=eu.cessda.pasc%3Apasc-osmh-handler-nesstar&metric=vulnerabilities)](https://sonarqube.cessda.eu/dashboard?id=eu.cessda.pasc%3Apasc-osmh-handler-nesstar)

# OSMH Handler Nesstar

CDC OSMH repository handler for harvesting metadata using the OAI-PMH NESSTAR format.

## Quality - Software Maturity Level

The overall Software Maturity Level for this product, and the individual scores for each attribute, can be found in the  [SML](SML.md) file.

## Getting Started

These instructions will get you a copy of the project up and running on your local machine for development and testing purposes. See the deployment for notes on how to deploy the project on a live system.

### Prerequisites

The following is expected to be installed before building and running.

* Java JDK 11
* Maven

### Run it

    mvn spring-boot:run

### Test it

Run all the JUnit tests

    mvn test

### Sonar it

Static code quality with verification with SonarQube

    mvn sonar:sonar

### Package the application

Package the application

    mvn package

### Run the packaged application

Run the built jar

    java -jar target/pasc-osmh-handler-nesstar*.jar

### Run it - with profile

To activate a profile, run the repository handler with the `--spring.profiles.active` parameter set to the name of the profile to run. For example, to run the `dev` profile:

    java -jar target/pasc-osmh-handler-nesstar*.jar --spring.profiles.active=dev

## View the API documentation

* <http://localhost:9842/swagger-ui.html>

## Further detailed notes

## Deployment

### At startup

Configuration is loaded and overwritten in this order

* application-[dev,local,prod].yml
* application.yml
* CLI parameters e.g. `--logging.level.=DEBUG` sets logging level for all classes

### At Runtime

If the app is registered at a [Spring Boot Admin server](https://github.com/codecentric/spring-boot-admin) all environment properties can be changed at runtime.

## Built With

* [Maven](https://maven.apache.org/) - Dependency Management

## Contributing

Please read [Contributing to CESSDA Open Source Software](https://bitbucket.org/cessda/cessda.guidelines.public/src/master/CONTRIBUTING.md) for information on contribution to CESSDA software.

## Versioning

## Authors

* **Moses Mansaray <moses AT doraventures DOT com
>** -> *1st version release and subsequent iterations and maintenance*

You can find the list of all contributors [here](CONTRIBUTORS.md)

## License

This project is licensed under the Apache 2 License - see the [LICENSE](LICENSE.txt) file for details

## Acknowledgments

See <CONTRIBUTORS.md>

## Edge Case and Assumptions

* If the publicationYear cannot be parsed to an `int`, the harvester defaults to the epoch year (1970 by default)
