/*
 * Copyright © 2017-2021 CESSDA ERIC (support@cessda.eu)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package eu.cessda.pasc.osmhhandler.nesstar.helpers;

import lombok.experimental.UtilityClass;

/**
 * Harvester (OSMH) Handler concept Constants
 *
 * @author moses AT doraventures DOT com

 */
@UtilityClass
public class HandlerConstants {

  // Messaging and Exceptions
  public static final String SYSTEM_ERROR = "Internal NESSTAR Handler System error";
  public static final String BAD_REQUEST = "Bad request!";
  public static final String NOT_FOUND = "Not found!";
  public static final String RECORD_HEADER = "RecordHeader";

  // Metadata handling
  static final String PUBLISHER_NOT_AVAIL = "Publisher not specified";
  static final String COUNTRY_NOT_AVAIL = "Country not specified";
  static final String DATE_NOT_AVAIL = "Date not specified";
  static final String EMPTY_EL = "empty";
  public static final String STUDY = "Study";

  // Date / time
  static final String[] EXPECTED_DATE_FORMATS = new String[]{"yyyy-MM-dd'T'HH:mm:ss'Z'", "yyyy-MM-dd", "yyyy-MM-dd'T'HH:mm:ssZ", "yyyy-MM", "yyyy"};

}
