/*
 * Copyright © 2017-2021 CESSDA ERIC (support@cessda.eu)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package eu.cessda.pasc.osmhhandler.nesstar;

import org.junit.Test;
import springfox.documentation.spring.web.plugins.Docket;

import javax.servlet.ServletContext;

import static org.assertj.core.api.BDDAssertions.then;
import static org.mockito.Mockito.mock;

/**
 * Test class for {@link SwaggerConfig} Configuration
 *
 * @author moses AT doraventures DOT com
 */
public class SwaggerConfigTest {

  private final ServletContext servletContext = mock(ServletContext.class);

  @Test
  public void shouldReturnExpectedMetaDataSetup() {
    // Given
    SwaggerConfig swaggerConfig = new SwaggerConfig("/", servletContext);

    // When
    Docket api = swaggerConfig.api();

    then(api).isNotNull();
    then(api.getDocumentationType().getName()).isEqualToIgnoringCase("swagger");
    then(api.getDocumentationType().getVersion()).isEqualToIgnoringCase("2.0");
  }
}