/*
 * Copyright © 2017-2021 CESSDA ERIC (support@cessda.eu)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package eu.cessda.pasc.osmhhandler.nesstar.helpers;

import eu.cessda.pasc.osmhhandler.nesstar.FileHandler;
import org.junit.Test;

import java.io.FileNotFoundException;
import java.io.IOException;

import static org.assertj.core.api.Assertions.assertThat;

/**
 * @author moses AT doraventures DOT com.
 */
public class FileHandlerTest {

    @Test(expected = FileNotFoundException.class)
    public void shouldReturnEmptyStringForBadPath() throws IOException {

        // Given
        FileHandler fileHandler = new FileHandler();

        // When
        fileHandler.getFileWithUtil("xml/synthetic_compliant_cmm_nesstar_does_not_exist.xml");
    }

    @Test
    public void shouldReturnContentOfValidFilePath() throws IOException {

        // Given
        FileHandler fileHandler = new FileHandler();

        // When
        String fileContent = fileHandler.getFileWithUtil("xml/synthetic_compliant_cmm_nesstar.xml");

        assertThat(fileContent).contains("<request verb=\"GetRecord\" " +
                "identifier=\"http://fors-getdata.unil.ch:80/obj/fStudy/ch.sidos.ddi.468.7773\"");
    }
}